#!/bin/sh

INSTALL_DIR=/opt

if [ $# -gt 0 -a -d $1 ] ; then
	INSTALL_DIR=$1
fi

/bin/mv $INSTALL_DIR/package/logrotate.conf /etc/init/
/bin/rm -rf $INSTALL_DIR/package/

setcap cap_net_raw=ep $INSTALL_DIR/aile/IpChecker
setcap cap_net_admin=ep $INSTALL_DIR/aile/MyNetworkSetting
setcap cap_sys_time,cap_dac_override=ep $INSTALL_DIR/aile/MyClockSetting
setcap cap_setuid,cap_setgid,cap_sys_admin,CAP_FOWNER=ep $INSTALL_DIR/aile/automount
setcap cap_sys_rawio,cap_dac_read_search=ep $INSTALL_DIR/aile/hwcheck
setcap cap_setuid,cap_setgid,cap_sys_admin,CAP_FOWNER,cap_kill=ep $INSTALL_DIR/aile/checkprocess
setcap cap_setuid,cap_setgid=ep $INSTALL_DIR/aile/OutputLog
setcap cap_sys_rawio,cap_dac_read_search,cap_dac_override=ep $INSTALL_DIR/aile/remocon
setcap cap_sys_time,cap_dac_override=ep $INSTALL_DIR/aile/syncClock
rm -f /etc/cron.hourly/syncClock
mv $INSTALL_DIR/aile/ntpdate /etc/network/if-up.d/ntpdate
ln -s /etc/network/if-up.d/ntpdate /etc/cron.hourly/ntpdate


CRONTAB_FILE=/etc/crontab
CRONTAB_ORIGINAL_FILE=/etc/crontab.org

if [ ! -e $CRONTAB_ORIGINAL_FILE ]; then
	cp $CRONTAB_FILE $CRONTAB_ORIGINAL_FILE
fi
if [ -e $CRONTAB_ORIGINAL_FILE ]; then
	ALREADYCONF=`cat $CRONTAB_ORIGINAL_FILE | grep "@reboot root /etc/cron.hourly/ntpdate FORCE"`
	if [ -z $ALREADYCONF ]; then
		cp $CRONTAB_ORIGINAL_FILE $CRONTAB_FILE
		echo "@reboot root /etc/cron.hourly/ntpdate FORCE" >> $CRONTAB_FILE
	fi
fi


echo "export GTK2_RC_FILES=$INSTALL_DIR/aile/ui/gtkrc" >> $INSTALL_DIR/aile/startup.sh
echo "sleep 10" >> $INSTALL_DIR/aile/startup.sh
echo "cd $INSTALL_DIR/aile ; ./aile &" >> $INSTALL_DIR/aile/startup.sh

AILE_LOCALE=$INSTALL_DIR/locale

if [ -d $AILE_LOCALE ] ; then
	cp -rfv $AILE_LOCALE /usr/local/share/
	rm -rf $AILE_LOCALE
fi

H264_PKG=$INSTALL_DIR/h264
MJPG_PKG=$INSTALL_DIR/mjpg
H264_EXTRA_PKG=$INSTALL_DIR/h264_extra

if [ -d $H264_PKG ] ;  then
	cd $H264_PKG
	sh install.sh
	cd ..
	rm -rf $H264_PKG
fi

if [ -d $MJPG_PKG ] ;  then
	cd $MJPG_PKG
	sh install.sh
	cd ..
	rm -rf $MJPG_PKG
fi

if [ -d $H264_EXTRA_PKG ] ;  then
	cd $H264_EXTRA_PKG
	make install_lib
	cd ..
	rm -rf $H264_EXTRA_PKG
fi

